Subject: bug#38282: 26.3; goto-line should not share input history with other commands

From: Federico Tedin <[email-masked]>
Date: Tue, 19 Nov 2019 22:48:40 +0100

Severity: wishlist

When using goto-line (M-g M-g), I usually tend to jump to lines which I
have jumped to in the past. Because goto-line shares input history with
other commands (like `read-from-minibuffer'), sometimes these numbers
get buried among strings that I have entered for other commands. I think
it would make sense to give goto-line a separate input history to make
finding past lines easier.